View Issue Details

IDProjectCategoryView StatusLast Update
0002748SymmetricDSBugpublic2016-09-16 09:00
ReporterluizmanoelbhAssigned Toelong 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.4Fixed in Version3.8.4 
Summary0002748: the Table 'sym_trigger' can not be created on informix
DescriptionAt the new version of Symmetric (3.8.1), the Table 'sym_trigger' can not be created on informix.
Informix have a limitation of 32,767 bytes for maximum size of table.

Informix Error
-499 The operation causes a rowsize to exceed the allowable limit
(32767).
The maximum size of a table record is 32,767 bytes. Check the summary sizes
of all the fields in the table. Make sure that the operation you have
attempted does not lead to exceeding the maximum row size.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 bae17c05

2016-09-09 11:04:16

admin

Details Diff
0002748: the Table 'sym_trigger' can not be created on informix
0002748
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: 3.8 5f3ba7c4

2016-09-09 16:20:10

admin

Details Diff
0002748: the Table 'sym_trigger' can not be created on informix
0002748
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/DatabaseUpgradeListener.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: 3.8 00adc708

2016-09-09 16:42:38

admin

Details Diff
0002748: the Table 'sym_trigger' can not be created on informix
0002748
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/informix/InformixJdbcSqlTemplate.java Diff File

SymmetricDS: 3.8 adc399b7

2016-09-09 19:01:13

admin

Details Diff
0002748: the Table 'sym_trigger' can not be created on informix
0002748
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/DatabaseUpgradeListener.java Diff File

SymmetricDS: 3.8 1c7030af

2016-09-09 20:32:08

admin

Details Diff
0002748: the Table 'sym_trigger' can not be created on informix
0002748
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/DatabaseUpgradeListener.java Diff File

SymmetricDS: 3.8 5dc4fb64

2016-09-09 20:45:22

admin

Details Diff
0002748: the Table 'sym_trigger' can not be created on informix
0002748
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/DatabaseUpgradeListener.java Diff File

Issue History

Date Modified Username Field Change
2016-08-24 08:06 luizmanoelbh New Issue
2016-09-09 12:00 admin Changeset attached => SymmetricDS 3.8 bae17c05
2016-09-09 17:00 admin Changeset attached => SymmetricDS 3.8 00adc708
2016-09-09 17:00 admin Changeset attached => SymmetricDS 3.8 5f3ba7c4
2016-09-09 20:00 admin Changeset attached => SymmetricDS 3.8 adc399b7
2016-09-09 21:00 admin Changeset attached => SymmetricDS 3.8 5dc4fb64
2016-09-09 21:00 admin Changeset attached => SymmetricDS 3.8 1c7030af
2016-09-12 08:52 elong Assigned To => elong
2016-09-12 08:52 elong Status new => resolved
2016-09-12 08:52 elong Resolution open => fixed
2016-09-12 08:52 elong Product Version => 3.8.0
2016-09-12 08:52 elong Fixed in Version => 3.8.4
2016-09-12 08:52 elong Target Version => 3.8.4
2016-09-16 09:00 admin Status resolved => closed